cURL
curl --request POST \
--url https://{tenant}.stamp.eu/rest/shift_swaps/{shiftSwap}/deny \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://{tenant}.stamp.eu/rest/shift_swaps/{shiftSwap}/deny"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://{tenant}.stamp.eu/rest/shift_swaps/{shiftSwap}/deny', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"requester_entry_id": "<string>",
"target_employee_id": "<string>",
"target_entry_id": "<string>",
"status": "<string>",
"manager_id": "<string>",
"auto_approved": true,
"resolution": "<string>",
"note": "<string>",
"created_at": "<string>",
"preview_warnings": [
{
"code": "<string>",
"severity": "<string>",
"message": "<string>"
}
],
"requester_entry": {
"id": "<string>",
"roster_id": "<string>",
"employee_id": "<string>",
"date": "<string>",
"shift_id": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"effective_start": "<string>",
"effective_end": "<string>",
"planned_work": "<string>",
"note": "<string>",
"work_area_id": "<string>",
"effective_work_area_id": "<string>",
"status": "<string>",
"generated": true,
"series_id": "<string>",
"source_unit_id": "<string>",
"source_unit": {
"id": "<string>",
"name": "<string>"
},
"is_cross_unit": true,
"published_at": "<string>",
"is_open": true,
"applications_count": 123,
"warnings": [
"<string>"
],
"employee_name": "<string>",
"shift": {
"id": "<string>",
"name": "<string>",
"abbreviation": "<string>",
"color": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"break_duration": "<string>",
"is_overnight": "<string>",
"schedule_model_id": "<string>",
"work_area_id": "<string>",
"tags": "<string>",
"note": "<string>",
"fairness_weight": 123,
"net_duration_ms": 123
},
"acknowledgement": {
"pending": 1,
"acknowledged": 1,
"acknowledged_at": "<string>"
},
"my_application": "<unknown>"
},
"requester_employee": "<string>",
"target_employee": "<string>",
"target_entry": {
"id": "<string>",
"roster_id": "<string>",
"employee_id": "<string>",
"date": "<string>",
"shift_id": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"effective_start": "<string>",
"effective_end": "<string>",
"planned_work": "<string>",
"note": "<string>",
"work_area_id": "<string>",
"effective_work_area_id": "<string>",
"status": "<string>",
"generated": true,
"series_id": "<string>",
"source_unit_id": "<string>",
"source_unit": {
"id": "<string>",
"name": "<string>"
},
"is_cross_unit": true,
"published_at": "<string>",
"is_open": true,
"applications_count": 123,
"warnings": [
"<string>"
],
"employee_name": "<string>",
"shift": {
"id": "<string>",
"name": "<string>",
"abbreviation": "<string>",
"color": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"break_duration": "<string>",
"is_overnight": "<string>",
"schedule_model_id": "<string>",
"work_area_id": "<string>",
"tags": "<string>",
"note": "<string>",
"fairness_weight": 123,
"net_duration_ms": 123
},
"acknowledgement": {
"pending": 1,
"acknowledged": 1,
"acknowledged_at": "<string>"
},
"my_application": "<unknown>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Schichttausch
Tausch ablehnen
POST
/
shift_swaps
/
{shiftSwap}
/
deny
cURL
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Path Parameters
The shift swap ID
Body
application/json
Maximum string length:
500Response
ShiftSwapRequestResource
Show child attributes
Show child attributes
⌘I